## com.saxonica.schema
Class ValueRangeFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.ValueRangeFacet

All Implemented Interfaces:
  java.io.Serializable

    public class ValueRangeFacet

extends Facet

Represents any of the facets minInclusive, maxInclusive, minExclusive, maxExclusive

See Also:
  Serialized Form

Field Summary
`static int` `MAX_EXCLUSIVE`
`static int` `MAX_INCLUSIVE`
`static int` `MIN_EXCLUSIVE`
`static int` `MIN_INCLUSIVE`

Fields inherited from class com.saxonica.schema.Facet
`ASSERT, ENUMERATION, FRACTIONDIGITS, LENGTH, MAX_LENGTH, MIN_LENGTH, PATTERN, TOTALDIGITS, WHITESPACE`

Constructor Summary
`ValueRangeFacet(int facetType)` Create a value-range facet (one of minInclusive, minExclusive, maxInclusive, maxExclusive)

Method Summary
`void` `checkFacetRestriction(UserSimpleType type, SimpleType base)` Check that this facet is legal when used on a type derived by restriction
`protected void` `convertToTargetType(SimpleType base, Configuration config)`
`java.lang.String` `getName()` Returns the name of this Facet
`java.lang.String` `getValue()` Returns the lexical representation of this facet
`void` `setValue(java.lang.String value)` Set the string value of the facet
`boolean` `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet

Methods inherited from class com.saxonica.schema.Facet
`getWhitespaceAction, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, testLength, testListValue, toLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_INCLUSIVE

    public static final int MIN_INCLUSIVE

See Also:
  Constant Field Values

### MAX_INCLUSIVE

    public static final int MAX_INCLUSIVE

See Also:
  Constant Field Values

### MIN_EXCLUSIVE

    public static final int MIN_EXCLUSIVE

See Also:
  Constant Field Values

### MAX_EXCLUSIVE

    public static final int MAX_EXCLUSIVE

See Also:
  Constant Field Values

Constructor Detail

### ValueRangeFacet

    public ValueRangeFacet(int facetType)

  Create a value-range facet (one of minInclusive, minExclusive, maxInclusive, maxExclusive)

  Parameters:
    `facetType` - identifies which of the four facets is required

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Specified by:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### getValue

    public java.lang.String getValue()

  Description copied from class: `Facet`
  Returns the lexical representation of this facet

  Specified by:
    `getValue` in class `Facet`
  Returns:
    the value of this facet

### setValue

    public void setValue(java.lang.String value)
                  throws SchemaException

  Description copied from class: `Facet`
  Set the string value of the facet

  Specified by:
    `setValue` in class `Facet`
  Parameters:
    `value` - the string value of the facet
  Throws:
    `SchemaException` - if the value is not valid for this facet on this type

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base)
                               throws SchemaException,
                                      ValidationException

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `Facet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `type` - the type on which the facet is defined
  Throws:
    `SchemaException` - if the facet is not legal
    `ValidationException`

### convertToTargetType

    protected void convertToTargetType(SimpleType base,
                                       Configuration config)
                                throws SchemaException

  Throws:
    `SchemaException`

### testAtomicValue

    public boolean testAtomicValue(AtomicValue value)

  Test whether an atomic value conforms to this facet

  Overrides:
    `testAtomicValue` in class `Facet`
  Parameters:
    `value` - the value to be tested
  Returns:
    true if the value conforms; false if it doesn't conform, or if the test fails

Copyright (c) Saxonica Limited. All rights reserved.